Skip to content

triggerHooks.fireTrigger

POST
/v1/hooks/triggers/{triggerId}
curl --request POST \
--url https://example.com/v1/hooks/triggers/example \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '"example"'

Gives the task of the trigger to its Bot. Send Authorization: Bearer <webhook secret>. The JSON body goes to the Bot as data, not as instructions. The task works for the actor of the trigger.

triggerId
required
string
>= 1 characters <= 128 characters
idempotency-key
required
string
>= 1 characters <= 128 characters
Media typeapplication/json

Example generated

example

Success

Media typeapplication/json
object
executionId
required
string
>= 1 characters <= 128 characters
commandKey
required
string
>= 1 characters <= 128 characters
sequence
required
integer
<= 9007199254740991
delegation
required
string
>= 1 characters <= 128 characters

Example generated

{
"executionId": "example",
"commandKey": "example",
"sequence": 1,
"delegation": "example"
}

TriggerHookDenied

Media typeapplication/json
object
_tag
required
string
Allowed values: TriggerHookDenied

Example

{
"_tag": "TriggerHookDenied"
}

ExecutionForbidden

Media typeapplication/json
object
_tag
required
string
Allowed values: ExecutionForbidden

Example

{
"_tag": "ExecutionForbidden"
}

ExecutionNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ExecutionNotFound
id
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionNotFound"
}

ExecutionConflict | ExecutionKeyConflict | TriggerInvalid

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionConflict
id
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionConflict"
}

ExecutionUnavailable | TriggerStorageUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionUnavailable
errorId
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionUnavailable"
}